Main Page Namespace List Compound List File List Namespace Members Compound Members

# nFANTOM100::iNXTIterator Class Reference

Interface to an iterator for LEGO MINDSTORMS NXTs. More...

`#include <iNXTIterator.h>`

List of all members.

## Public Methods

virtual void | getName (ViChar resourceName[], tStatus &status) const=0
| Retrieves the name of the NXT to which this iterator refers.
virtual void | advance (tStatus &status)=0
| Advances this iterator. More...
virtual iNXT * | getNXT (tStatus &status)=0
| Creates an NXT object for the NXT referenced by this iterator.

## Protected Methods

virtual | ~iNXTIterator ()=0
| Destructor.

## Friends

class | iNXT

## Detailed Description

Interface to an iterator for LEGO MINDSTORMS NXTs.

## Member Function Documentation

virtual void nFANTOM100::iNXTIterator::advance | ( | tStatus & | status | ) | `[pure virtual]`

Advances this iterator.

Advances this iterator to the next NXT that was found. If no more NXTs are found, this iterator is advanced to the end of the list. The iterator is not advanced if the specified status is fatal. If this iterator is already at the end of the list, a fatal status will be generated.

Parameters:

  status | Status chaining object.

The documentation for this class was generated from the following file:

- iNXTIterator.h

© Copyright 2005-2006, National Instruments Corporation. All rights reserved.